[gcode_macro FS_START]
description: Start the Filament Sensor
gcode:
    {% if printer["filament_switch_sensor FS"] %}
        {% set enabled = printer.save_variables.variables.fs_enabled | default(1) | int %}

        {% if enabled and printer["filament_switch_sensor FS"].enabled != false %}
            SET_FILAMENT_SENSOR SENSOR=FS ENABLE=1

            RESPOND MSG="Starting The Filament Switch Sensor FS"
        {% endif %}
    {% endif %}